# Installation
> `npm install --save @types/web-ie11`

# Summary
This package contains type definitions for web-ie11 (https://docs.microsoft.com/en-us/lifecycle/announcements/internet-explorer-11-end-of-support).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/web-ie11.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/web-ie11/index.d.ts)
````ts
interface Document {
    /**
     * Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.
     * @param root The root element or node to start traversing on.
     * @param whatToShow The type of nodes or elements to appear in the node list. For more information, see whatToShow.
     * @param filter A custom NodeFilter function to use.
     * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded. Required on IE11 and ignored on other browsers.
     */
    createTreeWalker(
        root: Node,
        whatToShow: number,
        filter: NodeFilter | null,
        entityReferenceExpansion: boolean,
    ): TreeWalker;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [Kagami Sascha Rosylight](https://github.com/saschanaz).
